+++
# -----------------------------------------------------------------------
# Do not edit this file. It is automatically generated by API Documenter.
# -----------------------------------------------------------------------
title = "GrafanaConfig"
keywords = ["grafana","documentation","sdk","@grafana/data"]
type = "docs"
+++

## GrafanaConfig interface

Describes all the different Grafana configuration values available for an instance.

<b>Signature</b>

```typescript
export interface GrafanaConfig 
```
<b>Import</b>

```typescript
import { GrafanaConfig } from '@grafana/data';
```
<b>Properties</b>

|  Property | Type | Description |
|  --- | --- | --- |
|  [alertingEnabled](#alertingenabled-property) | <code>boolean</code> |  |
|  [alertingErrorOrTimeout](#alertingerrorortimeout-property) | <code>string</code> |  |
|  [alertingMinInterval](#alertingmininterval-property) | <code>number</code> |  |
|  [alertingNoDataOrNullValues](#alertingnodataornullvalues-property) | <code>string</code> |  |
|  [allowOrgCreate](#alloworgcreate-property) | <code>boolean</code> |  |
|  [appSubUrl](#appsuburl-property) | <code>string</code> |  |
|  [authProxyEnabled](#authproxyenabled-property) | <code>boolean</code> |  |
|  [autoAssignOrg](#autoassignorg-property) | <code>boolean</code> |  |
|  [bootData](#bootdata-property) | <code>any</code> |  |
|  [buildInfo](#buildinfo-property) | <code>BuildInfo</code> |  |
|  [datasources](#datasources-property) | <code>{</code><br/><code>        [str: string]: DataSourceInstanceSettings;</code><br/><code>    }</code> |  |
|  [defaultDatasource](#defaultdatasource-property) | <code>string</code> |  |
|  [disableLoginForm](#disableloginform-property) | <code>boolean</code> |  |
|  [disableSanitizeHtml](#disablesanitizehtml-property) | <code>boolean</code> |  |
|  [disableUserSignUp](#disableusersignup-property) | <code>boolean</code> |  |
|  [editorsCanAdmin](#editorscanadmin-property) | <code>boolean</code> |  |
|  [exploreEnabled](#exploreenabled-property) | <code>boolean</code> |  |
|  [externalUserMngInfo](#externalusermnginfo-property) | <code>string</code> |  |
|  [externalUserMngLinkName](#externalusermnglinkname-property) | <code>string</code> |  |
|  [externalUserMngLinkUrl](#externalusermnglinkurl-property) | <code>string</code> |  |
|  [featureToggles](#featuretoggles-property) | <code>FeatureToggles</code> |  |
|  [ldapEnabled](#ldapenabled-property) | <code>boolean</code> |  |
|  [licenseInfo](#licenseinfo-property) | <code>LicenseInfo</code> |  |
|  [loginError](#loginerror-property) | <code>any</code> |  |
|  [loginHint](#loginhint-property) | <code>any</code> |  |
|  [minRefreshInterval](#minrefreshinterval-property) | <code>string</code> |  |
|  [navTree](#navtree-property) | <code>any</code> |  |
|  [newPanelTitle](#newpaneltitle-property) | <code>string</code> |  |
|  [oauth](#oauth-property) | <code>any</code> |  |
|  [panels](#panels-property) | <code>{</code><br/><code>        [key: string]: PanelPluginMeta;</code><br/><code>    }</code> |  |
|  [passwordHint](#passwordhint-property) | <code>any</code> |  |
|  [pluginsToPreload](#pluginstopreload-property) | <code>string[]</code> |  |
|  [samlEnabled](#samlenabled-property) | <code>boolean</code> |  |
|  [theme](#theme-property) | <code>GrafanaTheme</code> |  |
|  [verifyEmailEnabled](#verifyemailenabled-property) | <code>boolean</code> |  |
|  [viewersCanEdit](#viewerscanedit-property) | <code>boolean</code> |  |
|  [windowTitlePrefix](#windowtitleprefix-property) | <code>string</code> |  |

### alertingEnabled property

<b>Signature</b>

```typescript
alertingEnabled: boolean;
```

### alertingErrorOrTimeout property

<b>Signature</b>

```typescript
alertingErrorOrTimeout: string;
```

### alertingMinInterval property

<b>Signature</b>

```typescript
alertingMinInterval: number;
```

### alertingNoDataOrNullValues property

<b>Signature</b>

```typescript
alertingNoDataOrNullValues: string;
```

### allowOrgCreate property

<b>Signature</b>

```typescript
allowOrgCreate: boolean;
```

### appSubUrl property

<b>Signature</b>

```typescript
appSubUrl: string;
```

### authProxyEnabled property

<b>Signature</b>

```typescript
authProxyEnabled: boolean;
```

### autoAssignOrg property

<b>Signature</b>

```typescript
autoAssignOrg: boolean;
```

### bootData property

<b>Signature</b>

```typescript
bootData: any;
```

### buildInfo property

<b>Signature</b>

```typescript
buildInfo: BuildInfo;
```

### datasources property

<b>Signature</b>

```typescript
datasources: {
        [str: string]: DataSourceInstanceSettings;
    };
```

### defaultDatasource property

<b>Signature</b>

```typescript
defaultDatasource: string;
```

### disableLoginForm property

<b>Signature</b>

```typescript
disableLoginForm: boolean;
```

### disableSanitizeHtml property

<b>Signature</b>

```typescript
disableSanitizeHtml: boolean;
```

### disableUserSignUp property

<b>Signature</b>

```typescript
disableUserSignUp: boolean;
```

### editorsCanAdmin property

<b>Signature</b>

```typescript
editorsCanAdmin: boolean;
```

### exploreEnabled property

<b>Signature</b>

```typescript
exploreEnabled: boolean;
```

### externalUserMngInfo property

<b>Signature</b>

```typescript
externalUserMngInfo: string;
```

### externalUserMngLinkName property

<b>Signature</b>

```typescript
externalUserMngLinkName: string;
```

### externalUserMngLinkUrl property

<b>Signature</b>

```typescript
externalUserMngLinkUrl: string;
```

### featureToggles property

<b>Signature</b>

```typescript
featureToggles: FeatureToggles;
```

### ldapEnabled property

<b>Signature</b>

```typescript
ldapEnabled: boolean;
```

### licenseInfo property

<b>Signature</b>

```typescript
licenseInfo: LicenseInfo;
```

### loginError property

<b>Signature</b>

```typescript
loginError: any;
```

### loginHint property

<b>Signature</b>

```typescript
loginHint: any;
```

### minRefreshInterval property

<b>Signature</b>

```typescript
minRefreshInterval: string;
```

### navTree property

<b>Signature</b>

```typescript
navTree: any;
```

### newPanelTitle property

<b>Signature</b>

```typescript
newPanelTitle: string;
```

### oauth property

<b>Signature</b>

```typescript
oauth: any;
```

### panels property

<b>Signature</b>

```typescript
panels: {
        [key: string]: PanelPluginMeta;
    };
```

### passwordHint property

<b>Signature</b>

```typescript
passwordHint: any;
```

### pluginsToPreload property

<b>Signature</b>

```typescript
pluginsToPreload: string[];
```

### samlEnabled property

<b>Signature</b>

```typescript
samlEnabled: boolean;
```

### theme property

<b>Signature</b>

```typescript
theme: GrafanaTheme;
```

### verifyEmailEnabled property

<b>Signature</b>

```typescript
verifyEmailEnabled: boolean;
```

### viewersCanEdit property

<b>Signature</b>

```typescript
viewersCanEdit: boolean;
```

### windowTitlePrefix property

<b>Signature</b>

```typescript
windowTitlePrefix: string;
```
