+++
# -----------------------------------------------------------------------
# Do not edit this file. It is automatically generated by API Documenter.
# -----------------------------------------------------------------------
title = "PanelData"
keywords = ["grafana","documentation","sdk","@grafana/data"]
type = "docs"
+++

## PanelData interface

<b>Signature</b>

```typescript
export interface PanelData 
```
<b>Import</b>

```typescript
import { PanelData } from '@grafana/data';
```
<b>Properties</b>

|  Property | Type | Description |
|  --- | --- | --- |
|  [error](#error-property) | <code>DataQueryError</code> | Any query errors |
|  [request](#request-property) | <code>DataQueryRequest</code> | Request contains the queries and properties sent to the datasource |
|  [series](#series-property) | <code>DataFrame[]</code> | Contains data frames with field overrides applied |
|  [state](#state-property) | <code>LoadingState</code> | State of the data (loading, done, error, streaming) |
|  [timeRange](#timerange-property) | <code>TimeRange</code> | Contains the range from the request or a shifted time range if a request uses relative time |
|  [timings](#timings-property) | <code>DataQueryTimings</code> | Timing measurements |

### error property

Any query errors

<b>Signature</b>

```typescript
error?: DataQueryError;
```

### request property

Request contains the queries and properties sent to the datasource

<b>Signature</b>

```typescript
request?: DataQueryRequest;
```

### series property

Contains data frames with field overrides applied

<b>Signature</b>

```typescript
series: DataFrame[];
```

### state property

State of the data (loading, done, error, streaming)

<b>Signature</b>

```typescript
state: LoadingState;
```

### timeRange property

Contains the range from the request or a shifted time range if a request uses relative time

<b>Signature</b>

```typescript
timeRange: TimeRange;
```

### timings property

Timing measurements

<b>Signature</b>

```typescript
timings?: DataQueryTimings;
```
