+++
# -----------------------------------------------------------------------
# Do not edit this file. It is automatically generated by API Documenter.
# -----------------------------------------------------------------------
title = "EchoMeta"
keywords = ["grafana","documentation","sdk","@grafana/runtime"]
type = "docs"
+++

## EchoMeta interface

Describes the meta information that are sent together with each event.

<b>Signature</b>

```typescript
export interface EchoMeta 
```
<b>Import</b>

```typescript
import { EchoMeta } from '@grafana/runtime';
```
<b>Properties</b>

|  Property | Type | Description |
|  --- | --- | --- |
|  [screenSize](#screensize-property) | <code>SizeMeta</code> |  |
|  [sessionId](#sessionid-property) | <code>string</code> | A unique browser session |
|  [timeSinceNavigationStart](#timesincenavigationstart-property) | <code>number</code> | A highres timestamp since navigation start |
|  [ts](#ts-property) | <code>number</code> | A millisecond epoch |
|  [url](#url-property) | <code>string</code> |  |
|  [userAgent](#useragent-property) | <code>string</code> |  |
|  [userId](#userid-property) | <code>number</code> | The current users unique identifier. |
|  [userLogin](#userlogin-property) | <code>string</code> | The current users username used to login into Grafana e.g. email. |
|  [userSignedIn](#usersignedin-property) | <code>boolean</code> | True when user is logged in into Grafana. |
|  [windowSize](#windowsize-property) | <code>SizeMeta</code> |  |

### screenSize property

<b>Signature</b>

```typescript
screenSize: SizeMeta;
```

### sessionId property

A unique browser session

<b>Signature</b>

```typescript
sessionId: string;
```

### timeSinceNavigationStart property

A highres timestamp since navigation start

<b>Signature</b>

```typescript
timeSinceNavigationStart: number;
```

### ts property

A millisecond epoch

<b>Signature</b>

```typescript
ts: number;
```

### url property

<b>Signature</b>

```typescript
url?: string;
```

### userAgent property

<b>Signature</b>

```typescript
userAgent: string;
```

### userId property

The current users unique identifier.

<b>Signature</b>

```typescript
userId: number;
```

### userLogin property

The current users username used to login into Grafana e.g. email.

<b>Signature</b>

```typescript
userLogin: string;
```

### userSignedIn property

True when user is logged in into Grafana.

<b>Signature</b>

```typescript
userSignedIn: boolean;
```

### windowSize property

<b>Signature</b>

```typescript
windowSize: SizeMeta;
```
